SKILL(1)

NAME
skill, snice - send a signal or report process status

SYNOPSIS
skill [signal] [options] expression
snice [new priority] [options] expression

DESCRIPTION
These tools are obsolete and unportable. The command syntax is poorly defined. Consider using the killall, pkill, and pgrep commands instead.

The default signal for skill is TERM. Use -l or -L to list available signals. Particularly useful signals include HUP, INT, KILL, STOP, CONT, and 0. Alternate signals may be specified in three ways: -9 -SIGKILL -KILL.

The default priority for snice is +4. Priority numbers range from +20 (slowest) to -20 (fastest). Negative priority numbers are restricted to administrative users.

OPTIONS

-f, --fast
    Fast mode. This option has not been implemented.

-i, --interactive
    Interactive use. You will be asked to approve each action.

-l, --list
    List all signal names.

-L, --table
    List all signal names in a nice table.

-n, --no-action
    No action; perform a simulation of events that would occur but do not actually change the system.

-v, --verbose
    Verbose; explain what is being done.

-w, --warnings
    Enable warnings. This option has not been implemented.

-h, --help
    Display help text and exit.

-V, --version
    Display version information.

PROCESS SELECTION OPTIONS
Selection criteria can be: terminal, user, pid, command. The options below may be used to ensure correct interpretation.

-t, --tty tty
    The next expression is a terminal (tty or pty).

-u, --user user
    The next expression is a username.

-p, --pid pid
    The next expression is a process ID number.

-c, --command command
    The next expression is a command name.

SIGNALS
The behavior of signals is explained in signal(7) manual page.

EXAMPLES

snice -c seti -c crack +7
    Slow down seti and crack commands.

skill -KILL -t /dev/pts/*
    Kill users on PTY devices.

skill -STOP -u viro -u lm -u davem
    Stop three users.

SEE ALSO
kill(1), kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7)

STANDARDS
No standards apply.

AUTHOR
Albert Cahalan (albert@users.sf.net) wrote skill and snice in 1999 as a replacement for a non-free version.

REPORTING BUGS
Please send bug reports to procps@freelists.org